const connectImpl = async (pool, connect, storeApi, options, readModelName) => {
  const adapterPool = { ...pool.commonAdapterPool
  };
  await connect(adapterPool, options);
  const {
    defineTable,
    findOne,
    find,
    count,
    insert,
    update,
    delete: del
  } = storeApi;
  const store = {
    defineTable: defineTable.bind(null, adapterPool, readModelName),
    findOne: findOne.bind(null, adapterPool, readModelName),
    find: find.bind(null, adapterPool, readModelName),
    count: count.bind(null, adapterPool, readModelName),
    insert: insert.bind(null, adapterPool, readModelName),
    update: update.bind(null, adapterPool, readModelName),
    delete: del.bind(null, adapterPool, readModelName),
    performanceTracer: pool.performanceTracer
  };
  Object.freeze(store);
  pool.adapterPoolMap.set(store, adapterPool);
  return store;
};

const wrapConnect = (pool, connect, storeApi, options) => pool.withPerformanceTracer(pool, 'connect', connectImpl.bind(null, pool, connect, storeApi, options));

export default wrapConnect;
//# sourceMappingURL=wrap-connect.js.map