const disconnectImpl = async (pool, disconnect, store) => {
  const adapterPool = pool.adapterPoolMap.get(store);

  if (adapterPool == null) {
    throw new Error(`Read-model adapter pool is null`);
  }

  pool.adapterPoolMap.delete(store);
  await disconnect(adapterPool);
};

const wrapDisconnect = (pool, disconnect) => pool.withPerformanceTracer(pool, 'disconnect', disconnectImpl.bind(null, pool, disconnect));

export default wrapDisconnect;
//# sourceMappingURL=wrap-disconnect.js.map