"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

const disconnectImpl = async (pool, disconnect, store) => {
  const adapterPool = pool.adapterPoolMap.get(store);

  if (adapterPool == null) {
    throw new Error(`Read-model adapter pool is null`);
  }

  pool.adapterPoolMap.delete(store);
  await disconnect(adapterPool);
};

const wrapDisconnect = (pool, disconnect) => pool.withPerformanceTracer(pool, 'disconnect', disconnectImpl.bind(null, pool, disconnect));

var _default = wrapDisconnect;
exports.default = _default;
//# sourceMappingURL=wrap-disconnect.js.map