"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

const disposeImpl = async (pool, disconnect) => {
  const adapterPools = [...pool.adapterPoolMap.values()];
  pool.adapterPoolMap.clear();

  for (const adapterPool of adapterPools) {
    await disconnect(adapterPool);
  }
};

const wrapDispose = (pool, disconnect) => pool.withPerformanceTracer(pool, 'dispose', disposeImpl.bind(null, pool, disconnect));

var _default = wrapDispose;
exports.default = _default;
//# sourceMappingURL=wrap-dispose.js.map